ACCF_DATA(9)

NAME
accf_data - buffer incoming connections until data arrives

SYNOPSIS
options INET
pseudo-device accf_data

DESCRIPTION
This is a filter to be placed on a socket that will be using accept() to receive incoming connections.

It prevents the application from receiving the connected descriptor via accept() until data arrives on the connection.

EXAMPLES
If the accf_data accept filter is present in the kernel configuration, this will enable the data accept filter on the socket sok.

    	struct accept_filter_arg afa;
    	bzero(&afa, sizeof(afa));
    	strcpy(afa.af_name, "dataready");
    	setsockopt(sok, SOL_SOCKET, SO_ACCEPTFILTER, &afa, sizeof(afa));

SEE ALSO
setsockopt(2), accept_filter(9), accf_http(9)

HISTORY
The accept filter mechanism and the accf_data filter were introduced in FreeBSD 4.0. They were ported to NetBSD by Coyote Point Systems and appeared in NetBSD 5.0.

AUTHORS
This manual page and the filter were written by Alfred Perlstein.